require 'stargate/server'

module Stargate
  module Server
    module Engine
      # Public: Testing, in-process (more accurately in-app) engine to interchange information.
      class Inproc
        def self.register(name, registry)
          registry.each do |version_number, actual_registry|
            ::Stargate::INPROC["inproc://#{name}/v#{version_number}"] = actual_registry
          end
        end
      end
    end
  end
end
