module Stargate
  module Client
    # Public: Base client error.
    Error = Class.new(::Stargate::Error)

    # Public: Raised when unable to read data from the remote.
    FetchError = Class.new(Error)

    # Public: Raised when unable to fetch directives from the remote.
    DirectivesFetchError = Class.new(FetchError)
  end
end
